From ca0ed24ac6a770d637740142a1aed3d76a70a3b3 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Tue, 20 Oct 2015 14:09:03 -0400
Subject: [PATCH] doc: Add advice on updating checkpoint_segments to
 max_wal_size

---
 doc/src/sgml/release-9.5.sgml | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

diff --git a/doc/src/sgml/release-9.5.sgml b/doc/src/sgml/release-9.5.sgml
index d5b68e7..37de29d 100644
--- a/doc/src/sgml/release-9.5.sgml
+++ b/doc/src/sgml/release-9.5.sgml
@@ -153,6 +153,22 @@ <title>Migration to Version 9.5</title>
     </listitem>
 
     <listitem>
+     <para>
+      The configuration parameter <varname>checkpoint_segments</varname> has
+      been removed.  Its place it taken by the new
+      setting <xref linkend="guc-max-wal-size">.  If you had previously
+      tuned <varname>checkpoint_segments</varname>, the following formula will
+      give you an approximately equivalent setting:
+<programlisting>
+max_wal_size = (3 * checkpoint_segments + 1) * 16MB
+</programlisting>
+      Note that the default setting for <varname>max_wal_size</varname> is
+      much higher than the default <varname>checkpoint_segments</varname> used
+      to be, so setting this might no longer be necessary.
+     </para>
+    </listitem>
+
+    <listitem>
 <!--
 2015-07-28 [6087d95] Andres..: Remove ssl renegotiation support.
 -->
-- 
2.6.1

